export declare class Benchmark {
    private functions;
    private names;
    private _diffTime;
    /**
     *
     * push name & functions to the list of functions
     * @param {string} name name of the function
     * @param {function} func for benchmark
     * @return {this} this
     */
    push(name: string, func: Function): this;
    /**
     *
     * add name & functions to the list of functions
     * @param {string} name name of the function
     * @param {function} func for benchmark
     * @return {this} this
     */
    add(name: string, func: Function): this;
    /**
     *
     * run benchmark in list of functions
     * @return {Promise<void>} void
     */
    run(): Promise<void>;
    /**
     *
     * execute results in list of functions
     * @return {Array<{ name : string , time : number, result : any}>} { name : string , time : number, result : any}
     */
    execute(): Promise<{
        name: string;
        time: number;
        result: any;
    }[]>;
}
