declare class Collection {
    private ITEMS;
    private ORIGINS;
    constructor(data: Array<any>);
    result(): any;
    resultAndOrigin(): {
        items: any;
        origins: any[];
    };
    get(): any;
    first(): any;
    getOrigin(): any[];
    getAndOrigin(): {
        items: any;
        origins: any[];
    };
    all(): any;
    shift(): any;
    pop(): any;
    isEmpty(): boolean;
    exists(): boolean;
    toJson(): string;
    count(): any;
    size(): any;
    avg(key?: string): number;
    sum(key?: string): any;
    max(key?: string): number;
    min(key?: string): number;
    chunk(chunk?: number): any;
    camelCase: () => this;
    snakeCase(): this;
    when(value: string | number | undefined | null | Boolean, cb: Function): this;
    whenEmpty(cb: Function): this;
    whenNotEmpty(cb: Function): this;
    where(key: string, operator?: any, value?: any): this;
    whereBetween(key: string | null, value: any[]): this;
    whereNotBetween(key: string | null, value: any[]): this;
    whereNull(key: string | null): this;
    whereNotNull(key: string | null): this;
    whereIn(key: string | null, array: Array<any>): this;
    whereNotIn(key: string | null, array: Array<any>): this;
    limit(limit: number): this;
    except(...keys: Array<string>): this;
    slice(start: number, end: number): this;
    forget(key: number): this;
    oldest(key?: string): this;
    latest(key?: string): this;
    push(data: any): this;
    add(data: any): this;
    merge(data: Array<any>): this;
    each(cb: Function): this;
    findIndex(cb: Function): this;
    every(cb: Function): this;
    some(cb: Function): this;
    find(cb: Function): this;
    filter(cb: Function): this;
    map(cb: Function): this;
    reduce(cb: Function, result?: string | number | Object | Array<any> | Boolean | null): this;
    private _next;
    private _temp;
    private _removeKey;
    private _valueAndOperator;
    private _typeOf;
    private _operators;
    private _snakeCase;
    private _camelCase;
}
export { Collection };
export default Collection;
